import { Route } from '@angular/router';

import { ListComponent } from './components/list.component';
import { ViewComponent } from '../../member/user/components/view.component';

import {
  CustomerTemplatesResolver,
  CustomerTemplateResolver,
} from './resolvers/customer-template.resolver';
import { UserResolver } from '../../member/user/resolvers/user.resolver';
import { ReditComponent } from './components/redit.component';

export const customerTemplateRoutes: Route[] = [
  {
    path: '',
    pathMatch: 'full',
    redirectTo: 'list',
  },
  {
    path: 'list',
    component: ListComponent,
    resolve: {
      customerTemplates: CustomerTemplatesResolver,
    },
  },
  {
    path: 'redit',
    component: ReditComponent,
  },
  {
    path: 'redit/:id',
    component: ReditComponent,
    resolve: {
      customerTemplates: CustomerTemplateResolver,
    },
  },
];
