import { Route } from '@angular/router';

import { ListComponent } from './components/list.component';
import { ViewComponent } from '../../member/user/components/view.component';

import { PowerballsResolver } from './resolvers/powerball.resolver';
import { UserResolver } from '../../dashboards/user/user.resolvers';

export const powerballRoutes: Route[] = [
  {
    path: '',
    component: ListComponent,
    resolve: {
      deposits: PowerballsResolver,
    },
  },
  {
    path: ':id',
    component: ViewComponent,
    resolve: {
      users: UserResolver,
    },
  },
];
