import { Route } from '@angular/router';

import { ListComponent } from './components/list.component';
import { ViewComponent } from '../user/components/view.component';

import { CurrentUsersResolver } from './resolvers/current-user.resolver';
import { UserResolver } from '../user/resolvers/user.resolver';

export const currentUserRoutes: Route[] = [
  {
    path: '',
    component: ListComponent,
    resolve: {
      curretnUsers: CurrentUsersResolver,
    },
  },
  {
    path: ':id',
    component: ViewComponent,
    resolve: {
      users: UserResolver,
    },
  },
];
