import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { CommonModule } from '@angular/common';
import { ReactiveFormsModule, FormsModule } from '@angular/forms';

import { MatButtonModule } from '@angular/material/button';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatIconModule } from '@angular/material/icon';
import { MatInputModule } from '@angular/material/input';
import { MatPaginatorModule } from '@angular/material/paginator';
import { MatProgressBarModule } from '@angular/material/progress-bar';
import { MatRippleModule } from '@angular/material/core';
import { MatSortModule } from '@angular/material/sort';
import { MatSelectModule } from '@angular/material/select';
import { MatTooltipModule } from '@angular/material/tooltip';
import { MatGridListModule } from '@angular/material/grid-list';
import { MatMenuModule } from '@angular/material/menu';

import { TranslocoModule } from '@ngneat/transloco';

import { SharedModule } from 'app/shared/shared.module';

import { COMPONENTS } from './components';
import { COMPOSE } from './compose';

import { partnerRoutes } from './partner.routing';

@NgModule({
  declarations: [COMPONENTS, COMPOSE],
  imports: [
    TranslocoModule,
    SharedModule,
    RouterModule.forChild(partnerRoutes),
    CommonModule,
    ReactiveFormsModule,
    FormsModule,

    MatButtonModule,
    MatFormFieldModule,
    MatIconModule,
    MatInputModule,
    MatPaginatorModule,
    MatProgressBarModule,
    MatRippleModule,
    MatSortModule,
    MatSelectModule,
    MatTooltipModule,
    MatGridListModule,
    MatMenuModule,
  ],
})
export class PartnerModule {}
