import { Route } from '@angular/router';

import { ListComponent } from 'app/modules/admin/member/user/components/list.component';
import { ViewComponent } from 'app/modules/admin/member/user/components/view.component';

import {
  UsersResolver,
  UserResolver,
  MemberResolver,
} from './resolvers/user.resolver';

export const userRoutes: Route[] = [
  {
    path: '',
    component: ListComponent,
    resolve: {
      users: UsersResolver,
    },
  },
  {
    path: ':id',
    component: ViewComponent,
    resolve: {
      member: MemberResolver,
    },
  },
];
