import { Route } from '@angular/router';

import { ListComponent } from './components/list.component';
import { ViewComponent } from '../../member/user/components/view.component';

import { DailyPartnersResolver } from './resolvers/daily-partner.resolver';
import { UserResolver } from '../../member/user/resolvers/user.resolver';

export const dailyPartnerRoutes: Route[] = [
  {
    path: '',
    component: ListComponent,
    resolve: {
      dailyPartners: DailyPartnersResolver,
    },
  },
  {
    path: ':id',
    component: ViewComponent,
    resolve: {
      users: UserResolver,
    },
  },
];
