import { Route } from '@angular/router';

import { ListComponent } from './components/list.component';
import { View01Component } from './components/view-01.component';
import { View02Component } from './components/view-02.component';

import {
  LoosingsResolver,
  LoosingResolver,
} from './resolvers/loosing.resolver';

export const loosingRoutes: Route[] = [
  {
    path: '',
    component: ListComponent,
    resolve: {
      loosings: LoosingsResolver,
    },
  },
  {
    path: '01/:id',
    component: View01Component,
    resolve: {
      loosing: LoosingResolver,
    },
  },
  {
    path: '02/:id',
    component: View02Component,
    resolve: {
      loosing: LoosingResolver,
    },
  },
];
