import { Route } from '@angular/router';

import { ListComponent } from './components/list.component';
import { ViewComponent } from '../../member/user/components/view.component';

import { UserSessionsResolver } from './resolvers/user-session.resolver';
import { UserResolver } from '../../member/user/resolvers/user.resolver';

export const userSessionRoutes: Route[] = [
  {
    path: '',
    component: ListComponent,
    resolve: {
      userSessions: UserSessionsResolver,
    },
  },
  {
    path: ':id',
    component: ViewComponent,
    resolve: {
      users: UserResolver,
    },
  },
];
